From bd427669ba6368e8dcef4cc480309f7ff1150a70 Mon Sep 17 00:00:00 2001
From: Stefan Groenroos <stefan.gronroos@gmail.com>
Date: Fri, 1 Mar 2013 22:35:34 +0200
Subject: [PATCH] ARM: Fix bug in x264_quant_4x4x4_neon

---
 common/arm/quant-a.S |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/common/arm/quant-a.S b/common/arm/quant-a.S
index a265fc7..0ccf112 100644
--- a/common/arm/quant-a.S
+++ b/common/arm/quant-a.S
@@ -108,6 +108,7 @@ function x264_quant_4x4_neon
 
 // quant_4x4x4( int16_t dct[4][16], uint16_t mf[16], uint16_t bias[16] )
 function x264_quant_4x4x4_neon
+    vpush       {d8-d15}
     vld1.64     {d28-d31}, [r0,:128]
     vabs.s16    q8,  q14
     vabs.s16    q9,  q15
@@ -142,6 +143,7 @@ function x264_quant_4x4x4_neon
     orrne       r0,  #4
     orrs        r3,  ip
     orrne       r0,  #8
+    vpop        {d8-d15}
     bx          lr
 .endfunc
 
-- 
1.5.6.1
